Error
A valid request URL is required to generate request examples{
"locators": [
{
"top": 12345,
"sysidLocatorImage": 12345,
"sysidMapImage": 12345,
"width": 12345,
"height": 12345,
"locatorImage": {
"imageSource": "...",
"imageType": {},
"sysidLocatorImage": 12345
},
"transparency": 12345,
"left": 12345,
"rotation": 12345,
"sysidLocationMapImageLocator": 12345
},
{
"top": 12345,
"sysidLocatorImage": 12345,
"sysidMapImage": 12345,
"width": 12345,
"height": 12345,
"locatorImage": {
"imageSource": "...",
"imageType": {},
"sysidLocatorImage": 12345
},
"transparency": 12345,
"left": 12345,
"rotation": 12345,
"sysidLocationMapImageLocator": 12345
}
]
}ResourceService
Post resources locators
Add a Locator to the resource that will be used to display the location of the resource over the map image associated with the provided Map Image Locator Data.
This operation requires a Map Image Locator Data value.
This operation returns a Map Image Locator Data Wrapper value with the following attributes:
POST
/
resources
/
{sysidResource}
/
locators
Error
A valid request URL is required to generate request examples{
"locators": [
{
"top": 12345,
"sysidLocatorImage": 12345,
"sysidMapImage": 12345,
"width": 12345,
"height": 12345,
"locatorImage": {
"imageSource": "...",
"imageType": {},
"sysidLocatorImage": 12345
},
"transparency": 12345,
"left": 12345,
"rotation": 12345,
"sysidLocationMapImageLocator": 12345
},
{
"top": 12345,
"sysidLocatorImage": 12345,
"sysidMapImage": 12345,
"width": 12345,
"height": 12345,
"locatorImage": {
"imageSource": "...",
"imageType": {},
"sysidLocatorImage": 12345
},
"transparency": 12345,
"left": 12345,
"rotation": 12345,
"sysidLocationMapImageLocator": 12345
}
]
}Path Parameters
Body
application/json
Show child attributes
Show child attributes
Example:
{
"imageSource": "...",
"imageType": {
"languageTagKey": "...",
"name": "...",
"sysid": 12345
},
"sysidLocatorImage": 12345
}
Response
201 - application/json
MapImageLocatorDataWrapper
Show child attributes
Show child attributes

